
Project Sections - Bug #2253

Project Section id truncated when saved.

10 Oct 2013 13:54 - Martin Corino

Status: Closed Start date: 10 Oct 2013

Priority: Normal Due date: 31 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version: 2.3.3 External issue:  

Description

Working with SVN trunk version.

The entry form for project sections states that a section id can be specified of up to 100 characters in length but after saving the id is

truncated to 20 characters. This is due to the migration for the new project section model which defines the corresponding column

with a max length of 20.

The truncation also causes trouble later on when attempting to display a section overview. With a truncated section id this somehow

leads to a failure to find the right view.

If I keep my section id below 20 characters I can also successfully display its overview.

Related issues:

Duplicated by Project Sections - Bug #2279: A Section Name bigger than 20 cha... Closed 23 Jan 2014 31 May 2014

Associated revisions

Revision 18 - 31 May 2014 22:44 - Andriy Lesyuk

Renamed CSS file, applied community patches (#2252, #2253, #2275 and #2279)

History

#1 - 11 Oct 2013 17:48 - Martin Corino

- File 003_change_projects_section_identifier_limit.rb added

I’ve added the attached migration to fix the truncation.

#2 - 15 Dec 2013 10:01 - Minh Thien

- File 004_change_projects_section_name_limit.rb added

And I remove truncated name.

Upload to /redmine/plugins/project_section/db/migrate

Run :

rake redmine:plugins:migrate RAILS_ENV=production

#3 - 31 May 2014 20:04 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.2
#4 - 31 May 2014 22:34 - Andriy Lesyuk

- Due date set to 31 May 2014

- Status changed from Open to Closed

- % Done changed from 0 to 100

Thanks, Martin and Minh!

Files

003_change_projects_section_identifier_limit.rb 261 Bytes 11 Oct 2013 Martin Corino

004_change_projects_section_name_limit.rb 243 Bytes 15 Dec 2013 Minh Thien
